%define upstream_name    Dist-Zilla-PluginBundle-MARCEL
%define upstream_version 1.121330

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Build and release a distribution like MARCEL
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Class::MOP)
BuildRequires: perl(Dist::Zilla::Plugin::AutoPrereqs)
BuildRequires: perl(Dist::Zilla::Plugin::AutoVersion)
BuildRequires: perl(Dist::Zilla::Plugin::Bugtracker)
BuildRequires: perl(Dist::Zilla::Plugin::CheckChangeLog)
BuildRequires: perl(Dist::Zilla::Plugin::CopyReadmeFromBuild)
BuildRequires: perl(Dist::Zilla::Plugin::ExecDir)
BuildRequires: perl(Dist::Zilla::Plugin::ExtraTests)
BuildRequires: perl(Dist::Zilla::Plugin::GatherDir)
BuildRequires: perl(Dist::Zilla::Plugin::HasVersionTests)
BuildRequires: perl(Dist::Zilla::Plugin::Homepage)
BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(Dist::Zilla::Plugin::InstallGuide)
BuildRequires: perl(Dist::Zilla::Plugin::License)
BuildRequires: perl(Dist::Zilla::Plugin::MakeMaker)
BuildRequires: perl(Dist::Zilla::Plugin::Manifest)
BuildRequires: perl(Dist::Zilla::Plugin::ManifestSkip)
BuildRequires: perl(Dist::Zilla::Plugin::MetaJSON)
BuildRequires: perl(Dist::Zilla::Plugin::MetaProvides::Package)
BuildRequires: perl(Dist::Zilla::Plugin::MetaTests)
BuildRequires: perl(Dist::Zilla::Plugin::MetaYAML)
BuildRequires: perl(Dist::Zilla::Plugin::NextRelease)
BuildRequires: perl(Dist::Zilla::Plugin::NoTabsTests)
BuildRequires: perl(Dist::Zilla::Plugin::PkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::PodCoverageTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodSyntaxTests)
BuildRequires: perl(Dist::Zilla::Plugin::PodWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::PruneCruft)
BuildRequires: perl(Dist::Zilla::Plugin::PruneFiles)
BuildRequires: perl(Dist::Zilla::Plugin::ReadmeFromPod)
BuildRequires: perl(Dist::Zilla::Plugin::ReportVersions)
BuildRequires: perl(Dist::Zilla::Plugin::Repository)
BuildRequires: perl(Dist::Zilla::Plugin::ShareDir)
BuildRequires: perl(Dist::Zilla::Plugin::TaskWeaver)
BuildRequires: perl(Dist::Zilla::Plugin::Test::CheckChanges)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Compile) >= 1.100.220
BuildRequires: perl(Dist::Zilla::Plugin::Test::DistManifest)
BuildRequires: perl(Dist::Zilla::Plugin::Test::EOL)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Kwalitee)
BuildRequires: perl(Dist::Zilla::Plugin::Test::MinimumVersion)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Perl::Critic)
BuildRequires: perl(Dist::Zilla::Plugin::Test::PodSpelling)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Portability)
BuildRequires: perl(Dist::Zilla::Plugin::Test::Synopsis)
BuildRequires: perl(Dist::Zilla::Plugin::Test::UnusedVars)
BuildRequires: perl(Dist::Zilla::Plugin::UploadToCPAN)
BuildRequires: perl(Dist::Zilla::PluginBundle::Git)
BuildRequires: perl(Dist::Zilla::Role::PluginBundle)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(Pod::Weaver::PluginBundle::MARCEL)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More) >= 0.940.0
BuildRequires: perl(Test::Synopsis)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a plugin bundle to load all plugins that I am using. It is
equivalent to:

    [AutoVersion]

    ; -- fetch & generate files
    [AllFiles]
    [CompileTests]
    [CriticTests]
    [MetaTests]
    [PodTests]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.121.330-3.mga4
+ Revision: 511314
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.121.330-2.mga3
+ Revision: 366662
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.121.330-1.mga3
+ Revision: 254871
- update to 1.121330
- update to 1.111750

* Sun Feb 27 2011 jquelin <jquelin> 1.103.490-1.mga1
+ Revision: 61230
- update to 1.103490

* Thu Jan 27 2011 jquelin <jquelin> 1.101.700-1.mga1
+ Revision: 41890
- adding missing buildrequires:
- mageia rebuild
- imported package perl-Dist-Zilla-PluginBundle-MARCEL

